# 6.96. CUpti_EventGroupSet

struct CUpti_EventGroupSet

  A set of event groups.

  A set of event groups. When returned by cuptiEventGroupSetsCreate and cuptiMetricCreateEventGroupSets a set indicates that event groups that can be enabled at the same time (i.e. all the events in the set can be collected simultaneously).

  Public Members

  uint32_t numEventGroups

    The number of event groups in the set.

  CUpti_EventGroup *eventGroups

    An array of `numEventGroups` event groups.